Skip to main content
DELETE
/
wallet
/
payment-instruments
/
{instrument_id}
Remove payment instrument
curl --request DELETE \
  --url https://api.natural.co/wallet/payment-instruments/{instrument_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Idempotency-Key: <idempotency-key>'
{
  "data": {
    "type": "external_funding_source",
    "id": "efs_019cd3444a77776dadda2c30ff23706d",
    "attributes": {
      "bank_name": "Chase",
      "account_type": "checking",
      "last_four": "6789",
      "verification_state": "VERIFIED",
      "status": "VERIFIED",
      "created_at": "2026-01-01T00:00:00"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string
required

Unique key for idempotent request handling. If a request with the same key was already processed, the original response is returned.

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Agent session/conversation ID for observability.

Maximum string length: 1024

Path Parameters

instrument_id
string
required

Response

Successful Response

Single payment instrument response.

data
PaymentInstrumentResource · object
required

Resource object